package cn.axzo.msg.center.service.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description
 *   业务终态的状态枚举，包含审批流的相关状态
 *
 * @author cold_blade
 * @date 2023/11/7
 * @version 1.0
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum BizFinalStateEnum implements CodeDefinition<String> {

    /**
     * 已处理
     */
    COMPLETED("https://static.axzo.cn/fe-static/uni-icon/public/seal-1%23_%241699341908382.png"),
    /**
     * 已撤销
     */
    RETRACT("https://static.axzo.cn/fe-static/uni-icon/native/%E5%8E%9F%E7%A8%BF%23_%241711338477975.png"),
    /**
     * 已通过
     */
    PASSED("https://static.axzo.cn/fe-static/uni-icon/public/seal-4%23_%241699341908374.png"),
    /**
     * 已拒绝
     */
    REJECTED("https://static.axzo.cn/fe-static/uni-icon/public/seal-2%23_%241699341908381.png"),
    /**
     * 已终止
     */
    ABORTED("https://axzo-public.oss-cn-chengdu.aliyuncs.com/%E5%8D%B0%E7%AB%A0-%E8%AF%A6%E6%83%85end.png");

    private final String icon;

    @Override
    public String getCode() {
        return name();
    }
}